Bug 1572598 - [RHV] CFME lets you migrate VM to its current host
Summary: [RHV] CFME lets you migrate VM to its current host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: cfme-future
Assignee: Martin Perina
QA Contact: Angelina Nikiforova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 11:50 UTC by Jan Zmeskal
Modified: 2019-08-19 13:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 15:25:42 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Zmeskal 2018-04-27 11:50:29 UTC
Description of problem:
When you request a migration of VM, it is possible to designate VM's current host as a target host. In that case, migration will fail very uninformative error message:

Server [EVM] VM [test-migra-zrmu] Step [CheckMigration] Status [Error Migrating VM] Message [Migrating VM]

Version-Release number of selected component (if applicable):
CFME 5.9.2.3
RHV 4.2.3

How reproducible:
100 %

Steps to Reproduce:
1. Have a CFME appliance with RHV provider that has two hosts. Have a VM on one host. In my case the env looked like this:
-VM "test-migra-zrmu" on "host_mixed_2"
-one host called "host_mixed_1"
-another host called "host_mixed_2"
2. Go to the VM's detail page and request migration of the VM (Lifecycle -> Migrate this VM). When asked about target host, supply the host the the VM currently resides on.
3. Submit the form and monitor the migration request.

Actual results:
Form can be submitted in that way and the request will fail with uninformative error message.

Expected results:
In ideal case, I would expect that CFME won't allow me to migrate VM to its current host. If it does, I would at least expect some more descriptive error message.

Additional info:
In RHV 4.2.3, when requesting migration of a VM, you cannot choose its current host as a migration target.

Comment 3 Jan Zmeskal 2018-04-27 11:51:38 UTC
Additional info: If you try to migrate your VM to the other host after that, then the migration is successful.


Note You need to log in before you can comment on or make changes to this bug.